package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 充电桩运营商信息对象 pile_merchant_info
 *
 * @author jsowell
 * @date 2022-08-27
 */
@Data
public class PileMerchantInfo extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	private Long id;

	/**
	 * 运营商名称
	 */
	@Excel(name = "运营商名称")
	private String merchantName;

	/**
	 * 地址
	 */
	@Excel(name = "地址")
	private String address;

	/**
	 * 状态
	 * 0-失效；1-生效
	 */
	@Excel(name = "状态")
	private String status;

	/**
	 * 组织机构代码
	 */
	@Excel(name = "组织机构代码")
	private String organizationCode;

	/**
	 * 负责人姓名
	 */
	@Excel(name = "负责人姓名")
	private String managerName;

	/**
	 * 负责人电话号码
	 */
	@Excel(name = "负责人电话号码")
	private String managerPhone;

	/**
	 * 客服电话号码
	 */
	@Excel(name = "客服电话号码")
	private String servicePhone;

	/**
	 * logo
	 */
	@Excel(name = "logo")
	private String logoUrl;

	/**
	 * 运营商的小程序appId
	 */
	private String appId;

	/**
	 * 部门id
	 */
	private String deptId;

	/**
	 * 删除标识（0-正常；1-删除）
	 */
	private String delFlag;

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("id", getId())
				.append("merchantName", getMerchantName())
				.append("address", getAddress())
				.append("status", getStatus())
				.append("organizationCode", getOrganizationCode())
				.append("managerName", getManagerName())
				.append("managerPhone", getManagerPhone())
				.append("servicePhone", getServicePhone())
				.append("logoUrl", getLogoUrl())
				.append("createBy", getCreateBy())
				.append("createTime", getCreateTime())
				.append("updateBy", getUpdateBy())
				.append("updateTime", getUpdateTime())
				.append("delFlag", getDelFlag())
				.toString();
	}
}
